/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.service.impl;

import com.rjconsultores.ventaboletos.dao.RedondeoDAO;
import com.rjconsultores.ventaboletos.entidad.Redondeo;
import com.rjconsultores.ventaboletos.service.RedondeoService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;
import java.math.BigDecimal;
import java.util.Calendar;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 *
 * @author Administrador
 */
@Service("redondeoService")
public class RedondeoServiceImpl implements RedondeoService {

    @Autowired
    private RedondeoDAO redondeoDAO;

    public List<Redondeo> obtenerTodos() {
        return redondeoDAO.obtenerTodos();
    }

    public Redondeo obtenerID(Integer id) {
        return redondeoDAO.obtenerID(id);
    }

    @Transactional
    public Redondeo suscribir(Redondeo entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return redondeoDAO.suscribir(entidad);
    }

    @Transactional
    public Redondeo actualizacion(Redondeo entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return redondeoDAO.actualizacion(entidad);
    }

    @Transactional
    public void borrar(Redondeo entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.FALSE);

        redondeoDAO.actualizacion(entidad);
    }

    public List<Redondeo> buscar(BigDecimal valorInicial, BigDecimal valorFinal,
            BigDecimal valorRedondeo) {
        return redondeoDAO.buscar(valorInicial, valorFinal, valorRedondeo);
    }

    public List<Redondeo> buscarVlrIniVlrFin(BigDecimal valorInicial, BigDecimal valorFinal) {
       return redondeoDAO.buscar(valorInicial, valorFinal);
    }
}
